# This is only to show, that you can implement also your
# own python callbacks.

import linuxcnc
import os

class HandlerClass:

    def __init__(self,halcomp,builder,useropts):
        inifile = linuxcnc.ini(os.getenv("INI_FILE_NAME"))
        self.builder = builder

        self.THC_StepSize = self.builder.get_object("THC_StepSize")
        value = inifile.find("PLASMA","THC_StepSize")
        self.THC_StepSize.set_value(float(value))

        self.TravelHeight = self.builder.get_object("TravelHeight")
        value = inifile.find("PLASMA","TravelHeight")
        self.TravelHeight.set_value(float(value))

        self.SwitchTravel = self.builder.get_object("SwitchTravel")
        value = inifile.find("PLASMA","SwitchTravel")
        self.SwitchTravel.set_value(float(value))

        self.PierceDelay = self.builder.get_object("PierceDelay")
        value = inifile.find("PLASMA","PierceDelay")
        self.PierceDelay.set_value(float(value))

        self.PierceGap = self.builder.get_object("PierceGap")
        value = inifile.find("PLASMA","PierceGap")
        self.PierceGap.set_value(float(value))

        self.Piercing_autostart = self.builder.get_object("Piercing_autostart")
        value = inifile.find("PLASMA","Piercing_autostart")
        self.Piercing_autostart.set_active(int(value))

        self.enable_HeightLock = self.builder.get_object("enable_HeightLock")
        value = inifile.find("PLASMA","enable_HeightLock")
        self.enable_HeightLock.set_active(int(value))

        self.CHL_Threshold = self.builder.get_object("CHL_Threshold")
        value = inifile.find("PLASMA","CHL_Threshold")
        self.CHL_Threshold.set_value(float(value))

        self.THC_TargetVoltage = self.builder.get_object("THC_TargetVoltage")
        value = inifile.find("PLASMA","THC_TargetVoltage")
        self.THC_TargetVoltage.set_value(float(value))

    def on_btn_torch_toggled(gtkobj,data=None):
        if gtkobj.get_active():
            print("active")
        else:
            print("not active")
    
    def on_frm_adjustment_show(gtkobj,data=None):
        gtkobj.set_sensitive(False)
        print("Glade window has been shown")

def get_handlers(halcomp,builder,useropts):
    return(HandlerClass(halcomp,builder,useropts))

